// PrgSnap.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "dynamicdraw.h"
#include "PrgSnap.h"		// This header.

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCPrgSnap _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCPrgSnap, CFCPropertyPageBase)

CFCPrgSnap::CFCPrgSnap() : BASE_CLASS(CFCPrgSnap::IDD)
{
	//{{AFX_DATA_INIT(CFCPrgSnap)
	//}}AFX_DATA_INIT

	// _xZkqqHx_iDiBiDgCiDfKiBfLiDfHiPiIjHjNjCiGiCmMiDhEiDiJiDePiCpAjAnNjCoIiBeC_xHqqkZx_
	m_bProhibitMsg = TRUE;
}

CFCPrgSnap::~CFCPrgSnap()
{
}

void CFCPrgSnap::DoDataExchange(CDataExchange* pDX)
{
	BASE_CLASS::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCPrgSnap)
	DDX_Control(pDX, IDC_PGS_STC_BORDER_2, m_stcBorder2);
	DDX_Control(pDX, IDC_PGS_STC_BORDER_1, m_stcBorder1);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CFCPrgSnap, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCPrgSnap)
	ON_BN_CLICKED(IDC_PGS_CHK_SNAP_ACTIVE, OnPgsChkSnapActive)
	ON_BN_CLICKED(IDC_PGS_CHK_SNAP_SAME_VALUE, OnPgsChkSnapSameValue)
	ON_CBN_SELCHANGE(IDC_PGS_CBB_SNAP_HORZ, OnSelchangePgsCbbSnapHorz)
	ON_CBN_EDITCHANGE(IDC_PGS_CBB_SNAP_HORZ, OnEditchangePgsCbbSnapHorz)
	ON_CBN_CLOSEUP(IDC_PGS_CBB_SNAP_HORZ, OnCloseupPgsCbbSnapHorz)
	ON_CBN_SELCHANGE(IDC_PGS_CBB_SNAP_VERT, OnSelchangePgsCbbSnapVert)
	ON_CBN_EDITCHANGE(IDC_PGS_CBB_SNAP_VERT, OnEditchangePgsCbbSnapVert)
	ON_CBN_CLOSEUP(IDC_PGS_CBB_SNAP_VERT, OnCloseupPgsCbbSnapVert)
	ON_CBN_SELCHANGE(IDC_PGS_CBB_SNAP_ANGLE, OnSelchangePgsCbbSnapAngle)
	ON_CBN_EDITCHANGE(IDC_PGS_CBB_SNAP_ANGLE, OnEditchangePgsCbbSnapAngle)
	ON_CBN_CLOSEUP(IDC_PGS_CBB_SNAP_ANGLE, OnCloseupPgsCbbSnapAngle)
	ON_BN_CLICKED(IDC_PGS_RDO_SNAP_LEFT_TOP, OnPgsRdoSnapLeftTop)
	ON_BN_CLICKED(IDC_PGS_RDO_SNAP_CENTER_TOP, OnPgsRdoSnapCenterTop)
	ON_BN_CLICKED(IDC_PGS_RDO_SNAP_RIGHT_TOP, OnPgsRdoSnapRightTop)
	ON_BN_CLICKED(IDC_PGS_RDO_SNAP_LEFT_CENTER, OnPgsRdoSnapLeftCenter)
	ON_BN_CLICKED(IDC_PGS_RDO_SNAP_CENTER_CENTER, OnPgsRdoSnapCenterCenter)
	ON_BN_CLICKED(IDC_PGS_RDO_SNAP_RIGHT_CENTER, OnPgsRdoSnapRightCenter)
	ON_BN_CLICKED(IDC_PGS_RDO_SNAP_LEFT_BOTTOM, OnPgsRdoSnapLeftBottom)
	ON_BN_CLICKED(IDC_PGS_RDO_SNAP_CENTER_BOTTOM, OnPgsRdoSnapCenterBottom)
	ON_BN_CLICKED(IDC_PGS_RDO_SNAP_RIGHT_BOTTOM, OnPgsRdoSnapRightBottom)
	ON_WM_CTLCOLOR()
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

